<?php
   $brushup_redux_demo = get_option('redux_demo');
   get_header('blog'); 
?>
<?php 
    while (have_posts()): the_post();
?>
<?php $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); ?>
<?php $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); ?>
<?php $single_vimeo = get_post_meta(get_the_ID(),'_cmb_single_vimeo', true); ?>
<?php $single_google = get_post_meta(get_the_ID(),'_cmb_single_google', true); ?>
<?php $single_instagram = get_post_meta(get_the_ID(),'_cmb_single_instagram', true); ?>
<?php $facebook_user = get_the_author_meta('facebook');?>
<?php $twitter_user = get_the_author_meta('twitter');?>
<?php $behance_user = get_the_author_meta('behance');?>
<?php $youtube_user = get_the_author_meta('youtube');?>
<?php $vimeo_user = get_the_author_meta('vimeo');?>

<main>

    <!-- breadcrumb-area-start -->
    <div class="breadcrumb-area blue-soft-bg pt-50 pb-50">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text">
                        <ul class="breadcrumb-menu">
                            <li><span>
                              <?php if(isset($brushup_redux_demo['blog_details_title'])){?>
                              <?php echo wp_specialchars_decode(esc_attr($brushup_redux_demo['blog_details_title']));?>
                              <?php }else{?>
                              <?php echo esc_html__( 'Blog Details', 'brushup' );
                              }
                              ?>
                              </span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb-area-end -->

    <!-- blog-area-start -->
    <div class="blog-area pt-120 pb-90 blog-details1">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-8 mb-30">
                    <div class="blog-details mr-10">
                        <div class="blogs-wrapper mb-35 pos-rel">
                            <div class="blog-img">
                                <a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
                                <div class="blog-text">
                                    <div class="blog-meta">
                                        <span><i class="far fa-calendar-alt"></i><?php the_time(get_option( 'date_format' ));?></span>
                                        <span><i class="far fa-user-alt"></i><?php the_author_posts_link(); ?></span>
                                    </div>
                                    <h4><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
                                </div>
                           </div>
                        </div>
                        <div class="post-text mb-20">
                            <?php the_content(); ?>
                            <?php wp_link_pages(); ?>
                        </div>
                        <div class="row mt-50">
                            <div class="col-xl-8 col-lg-8 col-md-8 mb-15">
                                <div class="blog-post-tag">
                                    <span>
                                      <?php if(isset($brushup_redux_demo['blog_tags'])){?>
                                      <?php echo wp_specialchars_decode(esc_attr($brushup_redux_demo['blog_tags']));?>
                                      <?php }else{?>
                                      <?php echo esc_html__( 'Tags ', 'brushup' );
                                      }
                                      ?>
                                    </span>
                                    <?php echo get_the_tag_list(); ?>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4 col-md-4 mb-15">
                                <div class="blog-share-icon text-left text-md-right">
                                    <span>
                                      <?php if(isset($brushup_redux_demo['blog_share'])){?>
                                      <?php echo wp_specialchars_decode(esc_attr($brushup_redux_demo['blog_share']));?>
                                      <?php }else{?>
                                      <?php echo esc_html__( 'Share: ', 'brushup' );
                                      }
                                      ?> 
                                    </span>
                                    <?php if($single_twitter !='') { ?>
                                        <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                                    <?php } ?>
                                    <?php if($single_twitter !='') { ?>
                                        <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                                    <?php } ?>
                                    <?php if($single_instagram !='') { ?>
                                        <a href="<?php echo esc_url($single_instagram); ?>"><i class="fab fa-instagram"></i></a>
                                    <?php } ?>
                                    <?php if($single_google !='') { ?>
                                        <a href="<?php echo esc_url($single_google); ?>"><i class="fab fa-google-plus-g"></i></a>
                                    <?php } ?>
                                    <?php if($single_vimeo !='') { ?>
                                        <a href="<?php echo esc_url($single_vimeo); ?>"><i class="fab fa-vimeo-v"></i></a>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="b-author mt-40 mb-60">
                        <div class="author-img">
                            <?php echo get_avatar(get_the_author_meta('user_email'),$size='130',
                  $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=130' );?>
                        </div>
                        <div class="author-text">
                            <h3><?php the_author_posts_link(); ?></h3>
                            <p><?php echo get_the_author_meta('description');?></p>
                            <div class="author-icon">
                                <?php if($facebook_user !='') { ?>
                                <a href="<?php echo esc_url($facebook_user); ?>"><i class="fab fa-facebook-f"></i></a>
                                <?php } ?>
                                <?php if($twitter_user !='') { ?>
                                <a href="<?php echo esc_url($twitter_user); ?>"><i class="fab fa-twitter"></i></a>
                                <?php } ?>
                                <?php if($behance_user !='') { ?>
                                <a href="<?php echo esc_url($behance_user); ?>"><i class="fab fa-behance-square"></i></a>
                                <?php } ?>
                                <?php if($youtube_user !='') { ?>
                                <a href="<?php echo esc_url($youtube_user); ?>"><i class="fab fa-youtube"></i></a>
                                <?php } ?>
                                <?php if($vimeo_user !='') { ?>
                                <a href="<?php echo esc_url($vimeo_user); ?>"><i class="fab fa-vimeo-v"></i></a>
                                <?php } ?>
                            </div> 
                        </div>
                    </div>
                    <?php comments_template();?>
                </div>
                <div class="col-xl-4 col-lg-4 mb-30">
                    <?php get_sidebar();?>
                </div>
            </div>
        </div>
    </div>
    <!-- blog-area-end -->

</main>
<?php endwhile; ?>
    <!-- FOOTER -->
<?php
    get_footer();
?>